# Rules

* [`at-rule-empty-line-before`](../src/rules/at-rule-empty-line-before/README.md): Require or disallow an empty line before @rules.
* [`at-rule-no-vendor-prefix`](../src/rules/at-rule-no-vendor-prefix/README.md): Disallow vendor prefixes for @rules.
* [`block-closing-brace-newline-after`](../src/rules/block-closing-brace-newline-after/README.md): Require a newline or disallow whitespace after the closing brace of blocks.
* [`block-closing-brace-newline-before`](../src/rules/block-closing-brace-newline-before/README.md): Require a newline or disallow whitespace before the closing brace of blocks.
* [`block-closing-brace-space-after`](../src/rules/block-closing-brace-space-after/README.md): Require a single space or disallow whitespace after the closing brace of blocks.
* [`block-closing-brace-space-before`](../src/rules/block-closing-brace-space-before/README.md): Require a single space or disallow whitespace before the closing brace of blocks.
* [`block-no-empty`](../src/rules/block-no-empty/README.md): Disallow empty blocks.
* [`block-opening-brace-newline-after`](../src/rules/block-opening-brace-newline-after/README.md): Require a newline after the opening brace of blocks.
* [`block-opening-brace-newline-before`](../src/rules/block-opening-brace-newline-before/README.md): Require a newline or disallow whitespace before the opening brace of blocks.
* [`block-opening-brace-space-after`](../src/rules/block-opening-brace-space-after/README.md): Require a single space or disallow whitespace after the opening brace of blocks.
* [`block-opening-brace-space-before`](../src/rules/block-opening-brace-space-before/README.md): Require a single space or disallow whitespace before the opening brace of blocks.
* [`color-no-invalid-hex`](../src/rules/color-no-invalid-hex/README.md): Disallow invalid hex colors.
* [`comment-empty-line-before`](../src/rules/comment-empty-line-before/README.md): Require or disallow an empty line before comments.
* [`comment-space-inside`](../src/rules/comment-space-inside/README.md): Require a single space or disallow whitespace on the inside of comment markers.
* [`custom-property-no-outside-root`](../src/rules/custom-property-no-outside-root/README.md): Disallow custom properties outside of `:root` selectors.
* [`custom-property-pattern`](../src/rules/custom-property-pattern/README.md): Specify pattern of custom properties.
* [`declaration-bang-space-after`](../src/rules/declaration-bang-space-after/README.md): Require a single space or disallow whitespace after the bang of declarations.
* [`declaration-bang-space-before`](../src/rules/declaration-bang-space-before/README.md): Require a single space or disallow whitespace before the bang of declarations.
* [`declaration-block-semicolon-newline-after`](../src/rules/declaration-block-semicolon-newline-after/README.md): Require a newline or disallow whitespace after the semicolons of declaration blocks.
* [`declaration-block-semicolon-newline-before`](../src/rules/declaration-block-semicolon-newline-before/README.md): Require a newline or disallow whitespace before the semicolons of declaration blocks.
* [`declaration-block-semicolon-space-after`](../src/rules/declaration-block-semicolon-space-after/README.md): Require a single space or disallow whitespace after the semicolons of declaration blocks.
* [`declaration-block-semicolon-space-before`](../src/rules/declaration-block-semicolon-space-before/README.md): Require a single space or disallow whitespace before the semicolons of declaration blocks.
* [`declaration-colon-space-after`](../src/rules/declaration-colon-space-after/README.md): Require a single space or disallow whitespace after the colon of declarations.
* [`declaration-colon-space-before`](../src/rules/declaration-colon-space-before/README.md): Require a single space or disallow whitespace before the colon of declarations.
* [`declaration-no-important`](../src/rules/declaration-no-important/README.md): Disallow `!important` within declarations.
* [`function-calc-no-unspaced-operator`](../src/rules/function-calc-no-unspaced-operator/README.md): Disallow an unspaced operator within `calc` functions.
* [`function-comma-space-after`](../src/rules/function-comma-space-after/README.md): Require a single space or disallow whitespace after the commas of functions.
* [`function-comma-space-before`](../src/rules/function-comma-space-before/README.md): Require a single space or disallow whitespace before the commas of functions.
* [`function-parentheses-space-inside`](../src/rules/function-parentheses-space-inside/README.md): Require a single space or disallow whitespace on the inside of the parentheses of functions.
* [`function-space-after`](../src/rules/function-space-after/README.md): Require a single space or disallow whitespace after functions.
* [`function-url-quotes`](../src/rules/function-url-quotes/README.md): Specify single, double or no quotes for urls.
* [`indentation`](../src/rules/indentation/README.md): Specify indentation.
* [`media-feature-colon-space-after`](../src/rules/media-feature-colon-space-after/README.md): Require a single space or disallow whitespace after the colon in media features.
* [`media-feature-colon-space-before`](../src/rules/media-feature-colon-space-before/README.md): Require a single space or disallow whitespace before the colon in media features.
* [`media-feature-name-no-vendor-prefix`](../src/rules/media-feature-name-no-vendor-prefix/README.md): Disallow vendor prefixes for media feature names.
* [`media-feature-range-operator-space-after`](../src/rules/media-feature-range-operator-space-after/README.md): Require a single space or disallow whitespace after the range operator in media features.
* [`media-feature-range-operator-space-before`](../src/rules/media-feature-range-operator-space-before/README.md): Require a single space or disallow whitespace before the range operator in media features.
* [`media-query-list-comma-newline-after`](../src/rules/media-query-list-comma-newline-after/README.md): Require a newline or disallow whitespace after the commas of media query lists.
* [`media-query-list-comma-newline-before`](../src/rules/media-query-list-comma-newline-before/README.md): Require a newline or disallow whitespace before the commas of media query lists.
* [`media-query-list-comma-space-after`](../src/rules/media-query-list-comma-space-after/README.md): Require a single space or disallow whitespace after the commas of media query lists.
* [`media-query-list-comma-space-before`](../src/rules/media-query-list-comma-space-before/README.md): Require a single space or disallow whitespace before the commas of media query lists.
* [`media-query-parentheses-space-inside`](../src/rules/media-query-parentheses-space-inside/README.md): Require a single space or disallow whitespace on the inside of the parentheses within media queries.
* [`no-eol-whitespace`](../src/rules/no-eol-whitespace/README.md): Disallow end-of-line whitespace.
* [`no-missing-eof-newline`](../src/rules/no-missing-eof-newline/README.md): Disallow missing end-of-file newline.
* [`no-multiple-empty-lines`](../src/rules/no-multiple-empty-lines/README.md): Disallow multiple empty lines.
* [`number-leading-zero`](../src/rules/number-leading-zero/README.md): Require or disallow a leading zero for fractional numbers less than 1.
* [`number-no-trailing-zeros`](../src/rules/number-no-trailing-zeros/README.md): Disallow trailing zeros within numbers.
* [`number-zero-length-no-unit`](../src/rules/number-zero-length-no-unit/README.md): Disallow units for zero lengths.
* [`property-blacklist`](../src/rules/property-blacklist/README.md): Specify a blacklist of disallowed properties.
* [`property-no-vendor-prefix`](../src/rules/property-no-vendor-prefix/README.md): Disallow vendor prefixes for properties.
* [`property-whitelist`](../src/rules/property-whitelist/README.md): Specify a whitelist of allowed properties.
* [`root-no-standard-properties`](../src/rules/root-no-standard-properties/README.md): Disallow standard properties inside `:root` selectors.
* [`rule-nested-empty-line-before`](../src/rules/rule-nested-empty-line-before/README.md): Require or disallow an empty line before nested rules.
* [`rule-no-duplicate-properties`](../src/rules/rule-no-duplicate-properties/README.md): Disallow duplicate properties within rules.
* [`rule-no-single-line`](../src/rules/rule-no-single-line/README.md): Disallow single-line rules.
* [`rule-non-nested-empty-line-before`](../src/rules/rule-non-nested-empty-line-before/README.md): Require or disallow an empty line before non-nested rules.
* [`rule-properties-order`](../src/rules/rule-properties-order/README.md): Specify the order of properties within rules.
* [`rule-trailing-semicolon`](../src/rules/rule-trailing-semicolon/README.md): Require or disallow a trailing semicolon within rules.
* [`selector-combinator-space-after`](../src/rules/selector-combinator-space-after/README.md): Require a single space or disallow whitespace after the combinators of selectors.
* [`selector-combinator-space-before`](../src/rules/selector-combinator-space-before/README.md): Require a single space or disallow whitespace before the combinators of selectors.
* [`selector-list-comma-newline-after`](../src/rules/selector-list-comma-newline-after/README.md): Require a newline or disallow whitespace after the commas of selector lists.
* [`selector-list-comma-newline-before`](../src/rules/selector-list-comma-newline-before/README.md): Require a newline or disallow whitespace before the commas of selector lists.
* [`selector-list-comma-space-after`](../src/rules/selector-list-comma-space-after/README.md): Require a single space or disallow whitespace after the commas of selector lists.
* [`selector-list-comma-space-before`](../src/rules/selector-list-comma-space-before/README.md): Require a single space or disallow whitespace before the commas of selector lists.
* [`selector-no-attribute`](../src/rules/selector-no-attribute/README.md): Disallow attribute selectors.
* [`selector-no-combinator`](../src/rules/selector-no-combinator/README.md): Disallow combinators in selectors.
* [`selector-no-id`](../src/rules/selector-no-id/README.md): Disallow id selectors.
* [`selector-no-type`](../src/rules/selector-no-type/README.md): Disallow type selectors.
* [`selector-no-universal`](../src/rules/selector-no-universal/README.md): Disallow universal selectors.
* [`selector-no-vendor-prefix`](../src/rules/selector-no-vendor-prefix/README.md): Disallow vendor prefixes for selectors.
* [`selector-pseudo-element-colon-notation`](../src/rules/selector-pseudo-element-colon-notation/README.md): Specify single or double colon notation for applicable pseudo-elements.
* [`selector-root-no-composition`](../src/rules/selector-root-no-composition/README.md): Disallow the composition of`:root` selectors.
* [`string-quotes`](../src/rules/string-quotes/README.md): Specify single or double quotes around strings.
* [`value-list-comma-newline-after`](../src/rules/value-list-comma-newline-after/README.md): Require a newline or disallow whitespace after the commas of value lists.
* [`value-list-comma-newline-before`](../src/rules/value-list-comma-newline-before/README.md): Require a newline or disallow whitespace before the commas of value lists.
* [`value-list-comma-space-after`](../src/rules/value-list-comma-space-after/README.md): Require a single space or disallow whitespace after the commas of value lists.
* [`value-list-comma-space-before`](../src/rules/value-list-comma-space-before/README.md): Require a single space or disallow whitespace before the commas of value lists.
* [`value-no-vendor-prefix`](../src/rules/value-no-vendor-prefix/README.md): Disallow vendor prefixes for values.
